Table of Contents

## Name

Jump ’n Bump - Cute multiplayer platform game with bunnies

## Synopsis

jumpnbump [-dat levelname] [-port port -net player hostname rport] [-fullscreen] [-nosound] [-musicnosound] [-nogore] [-noflies] [-mirror] [-scaleup] [-v] [-h]

## Description

You, as a bunny, have to jump on your opponents to make them explode. It’s a true multiplayer game, you can’t play this alone. It has network support.

## Options

-dat levelname
  Load levelname and use it as the level for this game.
-port port
  Use port as the port to listen on for a network game. Use this with -net.
-net player hostname rport
  Connect (using a network) to another person running Jump ’n Bump on hostname, and listening on rport. You will be player number player.
-fullscreen
  Run Jump ’n Bump in fullscreen mode.
-nosound
  Run Jump ’n Bump without sound.
-musicnosound
  Run Jump ’n Bump with music but no sound effects.
-nogore
  Play without blood, familymode.
-noflies
  Disable flies.
-mirror
  Play with mirrored level.
-scaleup
  Play with doublesize resolution (800x512).
-h
  Print help.
-v
  Print version, compile time and if network code is compiled in.

## Usage

The goal of the game is to jump on the other players. Each rabbit has three control keys.

Player 1 (Dott)
  Left - Left
  Right - Right
  Jump - Up
Player 2 (Jiffy)
  Left - A
  Right - D
  Jump - W
Player 3 (Fizz)
  Left - J
  Right - L
  Jump - I
Player 4 (Mijji)
  Left - 4
  Right - 5
  Jump - 8
In the game
  Turn on/off computer play (AI) of bunny 1 - 1
  Turn on/off computer play (AI) of bunny 2 - 2
  Turn on/off computer play (AI) of bunny 3 - 3
  Turn on/off computer play (AI) of bunny 4 - 4

## Secret Codes

You can type these while in the game
jetpack - you can fly
pogostick - the bunnies keep jumping
bunniesinspace - gravity is lower, you can jump higher
lordoftheflies - the flies are attracted
bloodisthickerthanwater - water turns to blood

## Levels

There are two programs to help you make your own levels: jnbpack and jnbunpack.

jnbpack -o /tmp/newlevel.dat <file1> <file2> <file3> etc

or you can just put all the files in a dir, cd to that dir and do

jnbpack -o /tmp/newlevel.dat *

and it will put all the files in the current dir inside the packfile. Don’t try things like jnbpack -o stuff.dat ../file.c because it will add "../file.c" as the filename in the packfile, which won’t work.

jnbunpack level.dat
will unpack it in the current directory.

With gobpack you can convert .gob files (which are sprites, described in gob.txt) into .pcx files which you can edit with gimp for example, then convert back to a .gob and use it in your own level.

gobpack -u font menu.pcx

will unpack font.gob using the color palette from menu.pcx and write the files font.pcx font.txt. The other gob files should use level.pcx for the correct palette.

gobpack font

will generate font.gob from font.pcx and the specifications in font.txt. The .pcx files should be resaved with another program, as they are not packed and are thus very large.

## Authors

Chuck Mason <cemason@users.sourceforge.net>, Jon Atkins <jcatki@home.com>, Philippe Brochard <phil.brochard@wanadoo.fr>, Gürkan Sengün <gurkan@linuks.mine.nu>, Florian Schulze <crow@icculus.org>, Ricardo Cruz <rick2@aeiou.pt> and "timecop" <timecop@japan.co.jp> are the authors of Jump ’n Bump.

This program is a UNIX port of the old DOS game by brainchilddesign.

This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

This manual page was written by Joe Wreschnig <piman@sacredchao.net>, for the Debian GNU/Linux system (but may be used by others). The manual page is kept up to date by Gürkan Sengün <gurkan@linuks.mine.nu>.

Table of Contents

- Name
- Synopsis
- Description
- Options
- Usage
- Secret Codes
- Levels
- Authors